Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface DesktopInstanceControl

    public interface DesktopInstanceControl

A custom control interface used to interact with DesktopInstances

Method Summary
`com.bea.netuix.application.view.DesktopView` | `getDesktopView(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Gets a desktop view scoped to the web app.
`void` | `updateLookAndFeelInDesktopInstance(com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId, com.bea.netuix.application.identifier.DesktopInstanceId desktopId, com.bea.portal.tools.common.ResourceContext context)` Updates the the look and feel for a desktop instance.

Method Detail

### getDesktopView

    com.bea.netuix.application.view.DesktopView getDesktopView(String webApp,
                                                               com.bea.netuix.application.identifier.PortalPath portalPath,
                                                               com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                               com.bea.portal.tools.common.ResourceContext context)
                                                               throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a desktop view scoped to the web app. This contains an immutable view of all child resources.

  Parameters
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    A DesktopView
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### updateLookAndFeelInDesktopInstance

    void updateLookAndFeelInDesktopInstance(com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId,
                                            com.bea.netuix.application.identifier.DesktopInstanceId desktopId,
                                            com.bea.portal.tools.common.ResourceContext context)
                                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                   com.bea.netuix.application.exception.NotEntitledException,
                                                   com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the the look and feel for a desktop instance.

  Parameters
    `lafId` - The id for the new look and feel.
    `desktopId` - The id for the desktop instance
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved